| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__AccountUserInfo Struct Reference

Subscriber Account User Information. More...

`#include <osv-if-doc.h>`

## Public Attributes
wchar_t * | DisplayName
| Used for in-switch and VPN dialing to present the calling party's name. More...
unsp__TimeZone | TimeZone
| Specifies the subscriber's time zone location and determines how the subscriber's time-dependent services work. More...
char * | Pin
| Specifies the subscriber's Personal Identification Number. More...
char * | Pin2
| Specifies an additional subscriber's Personal Identification Number. More...
char * | Pin3
| Specifies an additional subscriber's Personal Identification Number. More...
char * | Pin4
| Specifies an additional subscriber's Personal Identification Number. More...
char * | Pin5
| Specifies an additional subscriber's Personal Identification Number. More...
char * | PublicPin
| A Public PIN provided by the subscriber that can be used by users who dial in. More...
unsp__Language | Language
| The language associated with the subscriber. More...
char * | BusinessAuthCode
| The Authorization Code of the subscriber for Business calls. More...
char * | PrivateAuthCode
| The Authorization Code of the subscriber for Private calls. More...

## Detailed Description

Subscriber Account User Information.

## Member Data Documentation

## ◆ BusinessAuthCode

char* unsp__AccountUserInfo::BusinessAuthCode

The Authorization Code of the subscriber for Business calls.

required: false
default value[range]: NA [2..14]

## ◆ DisplayName

wchar_t* unsp__AccountUserInfo::DisplayName

Used for in-switch and VPN dialing to present the calling party's name.

Used in installations where the SCP is unavailable or the switch is configured to use this field instead of the SCP. SIP phones may populate a generic name field that contains an alphabetical name to be associated with the number. If populated, that field will be used instead of this field. UTF-8 encoded characters are allowed.
required: false
default value[range]: NA [1..60]

## ◆ Language

unsp__Language unsp__AccountUserInfo::Language

The language associated with the subscriber.

required: true
default value[range]: "System Default" [1..30]

## ◆ Pin

char* unsp__AccountUserInfo::Pin

Specifies the subscriber's Personal Identification Number.

This code is available for use by various service features where a PIN has meaning, unless that feature has its own PIN. The subscriber PIN may be up to 10 characters long. Service feature pins may be up to 7 characters long.
required: false
default value[range]: NA [1..10]

## ◆ Pin2

char* unsp__AccountUserInfo::Pin2

Specifies an additional subscriber's Personal Identification Number.

All PINs (Pin-Pin5) are unique to a subscriber. PINs Pin2-Pin5 are available for use only during COSS service activation/deactivation. During COSS service activation and deactivation, the COSS service will validate the dialed PIN from all the PINs configured for that subscriber. Pin2-Pin5 may be up to 10 characters long. The valid characters for PINs are digits 0 to 9.
required: false
default value[range]: NA [1..10]

## ◆ Pin3

char* unsp__AccountUserInfo::Pin3

Specifies an additional subscriber's Personal Identification Number.

All PINs (Pin-Pin5) are unique to a subscriber. PINs Pin2-Pin5 are available for use only during COSS service activation/deactivation. During COSS service activation and deactivation, the COSS service will validate the dialed PIN from all the PINs configured for that subscriber. Pin2-Pin5 may be up to 10 characters long. The valid characters for PINs are digits 0 to 9.
required: false
default value[range]: NA [1..10]

## ◆ Pin4

char* unsp__AccountUserInfo::Pin4

Specifies an additional subscriber's Personal Identification Number.

All PINs (Pin-Pin5) are unique to a subscriber. PINs Pin2-Pin5 are available for use only during COSS service activation/deactivation. During COSS service activation and deactivation, the COSS service will validate the dialed PIN from all the PINs configured for that subscriber. Pin2-Pin5 may be up to 10 characters long. The valid characters for PINs are digits 0 to 9.
required: false
default value[range]: NA [1..10]

## ◆ Pin5

char* unsp__AccountUserInfo::Pin5

Specifies an additional subscriber's Personal Identification Number.

All PINs (Pin-Pin5) are unique to a subscriber. PINs Pin2-Pin5 are available for use only during COSS service activation/deactivation. During COSS service activation and deactivation, the COSS service will validate the dialed PIN from all the PINs configured for that subscriber. Pin2-Pin5 may be up to 10 characters long. The valid characters for PINs are digits 0 to 9.
required: false
default value[range]: NA [1..10]

## ◆ PrivateAuthCode

char* unsp__AccountUserInfo::PrivateAuthCode

The Authorization Code of the subscriber for Private calls.

required: false
default value[range]: NA [2..14]

## ◆ PublicPin

char* unsp__AccountUserInfo::PublicPin

A Public PIN provided by the subscriber that can be used by users who dial in.

For example, the ACR service requests a PIN before allowing the call to terminate to a subscriber. The Public PIN associated with the destination subscriber is expected to be input.
required: false
default value[range]: NA [1..10]

## ◆ TimeZone

unsp__TimeZone unsp__AccountUserInfo::TimeZone

Specifies the subscriber's time zone location and determines how the subscriber's time-dependent services work.

In general, most subscribers will be in the switch's local time zone, but SIP phones can be anywhere and the switch could border a time zone edge and serve multiple time zones.
required: false
default value[range]: "Local"

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h